<link rel="stylesheet" href="<?= base_url('<link rel="stylesheet" 
	href="https://cdn.datatables.net/1.13.6/css/dataTables.bootstrap.min.css">') ?>">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/css/bootstrap-multiselect.css">
<link rel="stylesheet" href="<?= base_url('bower_components/toastr/toastr.css') ?>">
<div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">

		<h1>
			<?= $this->lang->line('management_operators'); ?>
		</h1>
		<?php
		$site_url = base_url();

		if($alert=="ok") {

			if(!$success=="ok"){
				?>
				<div class='alert alert-danger alert-dismissible col-xs-6'>
					<button type='button' class='close' data-dismiss='alert' aria-hidden='true'>×</button>
					<h4><i class='icon fa fa-ban'></i> Erreur!</h4>
					<?= $message; ?>
				</div>

				<?php
			} else {
				?>
				<div class="alert alert-success alert-dismissible col-xs-6">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<h4><i class="icon fa fa-check"></i> Success!</h4>
					<?= $message; ?>
				</div>

				<?php
			}
		}
		?>
	</section>

	<section class="content">
		<div class="row">
			<div class="col-xs-12">
				<div class="box">
					<div class="box-header">
						<h3 class="box-title"><?= $this->lang->line('operators'); ?></h3>
					</div>
					<div class="box-body" style="overflow-x:auto;">

						<?php

						$sql2 = $operators;
						if($sql2!=false){
							$numrows=$sql2->num_rows();
							$num = 0;
							if ($numrows > 0) {
								?>
								<table id="validated" class="table table-bordered table-striped">
									<thead>
									<tr>
										<th align='center'>N°</th>
										<th><?= $this->lang->line('Pays'); ?></th>
										<th>Type</th>
										<th><?= $this->lang->line('Nom'); ?></th>
										<th>Code</th>
										<th align='center'><?= $this->lang->line('Adresse'); ?></th>
										<th align='center'><?= $this->lang->line('Statut'); ?></th>
										<th align='center'><?= $this->lang->line('Activer/Désactiver'); ?></th>
<!--										<th align='center'> Action </th>-->
									</tr>
									</thead>
									<tbody>
									<?php
									foreach($sql2->result() as $row) {
										// Seuls les operateurs bancaires peuvent appartenir à des pays etrangers
										if($row->type != 'bank' && ($row->country_id != $row->network_country_id))
											continue;
										$num ++;
										$type = $this->session->userdata('site_lang') === 'french' ? $row->type_fr : $row->type_en;
										echo "<tr>
                                                  <td align='center'>$num</td>
												   <td >$row->country</td>
												     <td>$type</td> 
												   <td >$row->operator_name</td>
												    <td >$row->operator_code</td>
                                                  <td>$row->operator_address</td>";
										?>
										<?php
										if($row->id_network){
											?>
											<td><span class="label label-success"><?= $this->lang->line('Actif'); ?></span></td>
											<td><button type="button" data-toggle="modal" data-target="#disableOperator" data-id-operator-country="<?=$row->id ?>" data-id-network="<?= $row->id_network ?>" class="btn btn-danger openModal"><?= $this->lang->line('Désactiver'); ?></button></td>
											<?php
										}else{
											?>
											<td><span class="label label-danger"><?= $this->lang->line('Inactif'); ?></span></td>
											<td><button type="button" data-id-operator-country="<?= $row->id ?>"  data-id-network="<?= $network_id ?>" class="btn btn-primary activeOperator" ><?= $this->lang->line('Activer'); ?></button></td>
											<?php
										}
										?>
<!--										<td>-->
<!--											<a href="--><?php //echo current_url().($row->id_network ? '?id='.$row->id_network : '')?><!--" class="btn btn-primary btn-block" --><?php //if(!$row->id_network) echo "disabled"?><!-- >-->
<!--												<b>--><?php //echo $this->lang->line('Voir plus...'); ?><!--</b>-->
<!--											</a>-->
<!--										</td>-->
										<?php
									}
									?>
									</tbody>
								</table>

								<?php

							}

							else {
								echo $this->lang->line('no_operator');
							}
						}else {
							echo $this->lang->line('no_operator');
						}
						?>
					</div>
				</div>
			</div>
		</div>
		<div class="modal fade" id="disableOperator" tabindex="-1" role="dialog" aria-hidden="true">
			<div class="modal-dialog" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h3 class="modal-title"><?= $this->lang->line('operator_deactivation'); ?></h3>
					</div>
					<div class="modal-body">
						<h4> Etes vous certain de vouloir ?</h4>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-secondary" data-dismiss="modal"><?= $this->lang->line('Fermer'); ?></button>
						<button type="button" class="btn btn-primary" id="deleteWallet"  > <?= $this->lang->line('Valider'); ?></button>
					</div>
				</div>
			</div>
		</div>
	</section>
</div>

<!-- jQuery 2.2.4 -->
<script src="https://code.jquery.com/jquery-2.2.4.min.js"></script>

<!-- Bootstrap 3.3.7 -->
<script src="<?= base_url('bower_components/bootstrap/dist/js/bootstrap.min.js') ?>"></script>
<!-- DataTables -->
<script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.13.6/js/dataTables.bootstrap.min.js"></script>
<!-- Slimscroll -->
<script src="<?= base_url('bower_components/jquery-slimscroll/jquery.slimscroll.min.js') ?>"></script>
<!-- FastClick -->
<script src="<?= base_url('bower_components/fastclick/lib/fastclick.js') ?>"></script>
<!-- AdminLTE App -->
<script src="<?= base_url('dist/js/adminlte.min.js') ?>"></script>
<!-- AdminLTE for demo purposes -->
<script src="<?= base_url('dist/js/demo.js') ?>"></script>
<script src="<?= base_url('bower_components/toastr/toastr.js') ?>"></script>
<script src="<?= base_url('dist/js/sweetalert2.js') ?>"></script>

<script>
	$(function() {
		$('#validated').DataTable();
	})
</script>

<script>
	toastr.options.closeButton = true;
	toastr.options.closeMethod = 'fadeOut';
	toastr.options.closeDuration = 5000;
	toastr.options.closeEasing = 'swing';

	var id_operator_country = null;

	$(document).on("click", ".openModal", function () {
		id_operator_country = $(this).data('id-operator-country');
		id_network = $(this).data('id-network');

	})

	$(document).on("click", ".activeOperator", function () {
		const id_operator_country = $(this).data('id-operator-country');
		const id_network = $(this).data('id-network');
		console.log(id_operator_country)
		$.ajax({
			url : '<?= base_url('Hyperviseur_dash/active_operator')?>',
			type : 'POST',
			dataType : 'json',
			data: {"id_operator_country": id_operator_country , "id_network" : id_network},
			success : function(data){
				if(data=='200'){
					Swal.fire({
						icon: 'success',
						title: "<?= $this->lang->line('operator_activated')?>",
						text: "<?= $this->lang->line('informations_updated')?>",
						timer: 3000
					}).then(()=>{
						location.reload();
					});
					// alert("Les informations ont été mises à jour.") ? "" :
				}else{
					toastr.error("<?= $this->lang->line('error_message')?>" , "<?= $this->lang->line('request_error')?>");
				}
			},
			error : function(resultat, statut, error){
				console.log(resultat+" "+error );
				toastr.error("<?= $this->lang->line('error_message')?>" , "<?= $this->lang->line('request_error')?>");
			}
		})
	});

	$('#deleteWallet').click(function(){
		$.ajax({
			url : '<?= base_url('Hyperviseur_dash/deactive_operator')?>',
			type : 'POST',
			dataType : 'json',
			data: {"id_operator_country": id_operator_country , "id_network" : id_network},
			success : function(data){
				if(data=='200'){
					Swal.fire({
						icon: 'success',
						title: "<?= $this->lang->line('operator_deactivated')?>",
						text: "<?= $this->lang->line('informations_updated')?>",
						timer: 3000
					}).then(()=>{
						location.reload();
					});
					// alert("Les informations ont été mises à jour.") ? "" : location.reload();
				}else{
					toastr.error("<?= $this->lang->line('error_message')?>" , "<?= $this->lang->line('request_error')?>");
				}
			},

			error : function(resultat, statut, erreur){
				console.log(resultat+" "+erreur);
				toastr.error("<?= $this->lang->line('error_message')?>" , "<?= $this->lang->line('request_error')?>");
			}
		});

	});
</script>
